﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinDock;
using System.Diagnostics;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            
            this.ultraDockManager1.LayoutStyle = DockAreaLayoutStyle.FillContainer;
            DockAreaPane areaPane = new DockAreaPane(DockedLocation.DockedTop, "TopArea");
            for (int i = 0; i < 4; i++)
            {

                areaPane.Panes.Add(new DockableGroupPane("Group-" + i.ToString()));
                this.ultraDockManager1.DockAreas.Add(areaPane);

            }

            foreach (DockableGroupPane pane in areaPane.Panes)
            {
                Button button = new Button();
                button.Text = pane.Key;
                (pane as DockableGroupPane).Panes.Add(new DockableControlPane(button));
            }

        }
    }
}
